@import '../../../node_modules/swiper/swiper-bundle.min.css'

.slider
  --arrow-position 0
  --arrow-size calc(var(--gap) + .75rem)
  position relative
  &__slides
    position static
  &__wrapper
    display grid
    grid-auto-columns auto
    grid-template-rows auto
    grid-auto-flow column
    justify-content start
  & .swiper-slide
    display flex
    flex-direction column
  &__arrow
    --arrow-color var(--color-mark)
    --arrow-transition-duration var(--transition-duration-out)
    position absolute
    bottom 0
    width var(--arrow-size)
    height var(--arrow-size)
    mask-image maskImage(arrow)
    mask-repeat no-repeat
    mask-position center
    mask-size 2rem
    background-color var(--arrow-color)
    transition background-color var(--transition-duration-out)
    cursor pointer
    &:active
    +hover()
      --arrow-color var(--color-mark-dark)
      transition-duration var(--transition-duration-in)
    &--next
      transform rotate(180deg)
    &--disabled
    &--disabled:hover
    &--disabled:active
      background-color var(--color-mark-light)
      cursor default
    &--prev
      left var(--arrow-position)
    &--next
      right var(--arrow-position)
  &__pagination
    display flex
    gap 0.375rem
    justify-content center
    align-items center
    margin-top 1.5rem
    margin-bottom 1rem
    &--lock
      display none
  &__pagination-item
    --transition-duration var(--transition-duration-out)
    position relative
    bottom unset
    width 0.5rem
    height 0.5rem
    background-color var(--color-mark-light)
    border-radius 100vmax
    transition background-color var(--transition-duration)
    &--active
      background-color var(--color-mark)
